!/*@@
!
! $Id: remask.f90,v 1.4 1997/07/21 13:52:05 haupt Exp $
!
!@@*/
!
! Routine to "mask" out g_ and k_
!
subroutine remask( g_, k_, mask_, mask_old_)
  use input_params
  use tensors
  implicit none 

  type(GridFunction),dimension(3,3) :: g_, k_
  type(GridFunction)                :: mask_, mask_old_

  ! Local variables
  integer :: i, j

  ! Set interior of mask to flat space

  where (mask_%d == 0.0d0) 

     g_(1,1)%d=1.0d0
     g_(1,2)%d=0.0d0
     g_(1,3)%d=0.0d0
     g_(2,2)%d=1.0d0
     g_(2,3)%d=0.0d0
     g_(3,3)%d=1.0d0

     k_(1,1)%d = 0.0
     k_(1,2)%d = 0.0
     k_(1,3)%d = 0.0
     k_(2,2)%d = 0.0
     k_(2,3)%d = 0.0
     k_(3,3)%d = 0.0

  end where

end subroutine remask
 



